package com.muyu.task.server.feign;


import com.muyu.common.domain.DataValue;
import com.muyu.task.server.feign.Factory.DatasourceFeignFactory;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import com.muyu.common.core.domain.Result;

import java.util.List;

/**
 * @author Administrator
 */
@EnableFeignClients
@FeignClient(contextId = "datasourceFeign", name = "cloud-etl-datasources",fallbackFactory = DatasourceFeignFactory.class  )
public interface DatasourceFeign {
    @PostMapping("/dataValue/findTableValue")
    public Result<List<List<DataValue>>> findTableValue(@RequestParam("basicId") Long basicId, @RequestParam("sql") String sql);
}
