package com.muyu.task.server.feign.Factory;

import com.muyu.common.core.domain.Result;
import com.muyu.task.server.feign.DatasourceFeign;
import lombok.extern.log4j.Log4j2;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Log4j2
@Component
public class DatasourceFeignFactory implements FallbackFactory<DatasourceFeign> {
    @Override
    public DatasourceFeign create(Throwable e) {
        return new DatasourceFeign() {
            @Override
            public Result findTableValue(Long basicId, String sql) {
                log.info(e);
                return Result.error("网络开小差......");
            }
        };
    }
}
